## calls-manager calls-manager |

## Functions

CallsManager * | calls_manager_new ()
CallsManager * | calls_manager_get_default ()
CallsContactsProvider * | calls_manager_get_contacts_provider ()
CallsSettings * | calls_manager_get_settings ()
CallsManagerFlags | calls_manager_get_state_flags ()
GListModel * | calls_manager_get_origins ()
GList * | calls_manager_get_calls ()
GListModel * | calls_manager_get_suitable_origins ()
CallsOrigin * | calls_manager_get_origin_by_id ()
void | calls_manager_hang_up_all_calls ()

## Properties

CallsManagerFlags | state | Read

## Signals

void | providers-changed | Run First
void | ui-call-added | Run First
void | ui-call-removed | Run First
void | ussd-added | Run First
void | ussd-cancelled | Run First
void | ussd-state-changed | Run First

## Types and Values

#define | CALLS_TYPE_MANAGER
enum | CallsManagerFlags
| CallsManager

## Object Hierarchy

        GFlags
        ╰── CallsManagerFlags
        GObject
        ╰── CallsManager

## Implemented Interfaces

CallsManager implements CallsMessageSource.

## Description

## Functions

### calls_manager_new ()

    CallsManager *
    calls_manager_new (void);

### calls_manager_get_default ()

    CallsManager *
    calls_manager_get_default (void);

### calls_manager_get_contacts_provider ()

    CallsContactsProvider *
    calls_manager_get_contacts_provider (CallsManager *self);

### calls_manager_get_settings ()

    CallsSettings *
    calls_manager_get_settings (CallsManager *self);

### calls_manager_get_state_flags ()

    CallsManagerFlags
    calls_manager_get_state_flags (CallsManager *self);

### calls_manager_get_origins ()

    GListModel *
    calls_manager_get_origins (CallsManager *self);

### calls_manager_get_calls ()

    GList *
    calls_manager_get_calls (CallsManager *self);

#### Parameters

self | A CallsManager |

#### Returns

Returns a list of all known calls. The calls are objects of type CallsUiCallData. Use `g_list_free()` when done using the list.

[transfer container]

### calls_manager_get_suitable_origins ()

    GListModel *
    calls_manager_get_suitable_origins (CallsManager *self,
                                        const char *target);

Returns (transfer none): A GListModel of suitable origins as long as the protocol to be used for `target` is supported, `NULL` otherwise

#### Parameters

self | The CallsManager |
target | The target number/address |

### calls_manager_get_origin_by_id ()

    CallsOrigin *
    calls_manager_get_origin_by_id (CallsManager *self,
                                    const char *origin_id);

#### Parameters

self | The CallsManager |
origin_id | The id to use for the lookup |

#### Returns

The CallsOrigin if found, `NULL` otherwise.

[transfer none]

### calls_manager_hang_up_all_calls ()

    void
    calls_manager_hang_up_all_calls (CallsManager *self);

Hangs up on every call known to `self` .

#### Parameters

self | a CallsManager |

## Types and Values

### CALLS_TYPE_MANAGER

    #define CALLS_TYPE_MANAGER (calls_manager_get_type ())

### enum CallsManagerFlags

#### Members

CALLS_MANAGER_FLAGS_UNKNOWN |  |
CALLS_MANAGER_FLAGS_HAS_CELLULAR_PROVIDER |  |
CALLS_MANAGER_FLAGS_HAS_CELLULAR_MODEM |  |
CALLS_MANAGER_FLAGS_HAS_VOIP_PROVIDER |  |
CALLS_MANAGER_FLAGS_HAS_VOIP_ACCOUNT |  |

### CallsManager

    typedef struct _CallsManager CallsManager;

## Property Details

### The `“state”` property

      “state”                    CallsManagerFlags

The state of the Manager.

Owner: CallsManager

Flags: Read

## Signal Details

### The `“providers-changed”` signal

    void
    user_function (CallsManager *callsmanager,
                   gpointer      user_data)

Flags: Run First

### The `“ui-call-added”` signal

    void
    user_function (CallsManager    *callsmanager,
                   CallsUiCallData *arg1,
                   gpointer         user_data)

Flags: Run First

### The `“ui-call-removed”` signal

    void
    user_function (CallsManager    *callsmanager,
                   CallsUiCallData *arg1,
                   gpointer         user_data)

Flags: Run First

### The `“ussd-added”` signal

    void
    user_function (CallsManager *callsmanager,
                   CallsUssd    *arg1,
                   char         *arg2,
                   gpointer      user_data)

Flags: Run First

### The `“ussd-cancelled”` signal

    void
    user_function (CallsManager *callsmanager,
                   CallsUssd    *arg1,
                   gpointer      user_data)

Flags: Run First

### The `“ussd-state-changed”` signal

    void
    user_function (CallsManager *callsmanager,
                   CallsUssd    *arg1,
                   gpointer      user_data)

Flags: Run First